Index: src/gui/army-info-tip.cpp
===================================================================
--- src/gui/army-info-tip.cpp	(revision 1797)
+++ src/gui/army-info-tip.cpp	(working copy)
@@ -71,7 +71,7 @@
     Glib::ustring s;
     s += army->getName();
     s += "\n";
-    // note to translators: %1 is melee strength, %2 is ranged strength
+    // note to translators: %1 is ranged strength
     s += String::ucompose(_("Strength: %1"),
 			  army->getStat(Army::STRENGTH));
     s += "\n";
@@ -135,12 +135,12 @@
     Glib::ustring s;
     s += army->getName();
     s += "\n";
-    // note to translators: %1 is melee strength, %2 is ranged strength
+    // note to translators: %1 is melee strength
     s += String::ucompose(_("Strength: %1"),
 			  army->getStrength());
     s += "\n";
-    // note to translators: %1 is remaining moves, %2 is total moves
-    s += String::ucompose(_("Movement: %1"), army->getMaxMoves());
+    // note to translators: %1 is total moves
+    s += String::ucompose(_("Moves: %1"), army->getMaxMoves());
     s += "\n";
     s += String::ucompose(_("Time: %1"), army->getProduction());
     s += "\n";
Index: src/gui/game-preferences-dialog.cpp
===================================================================
--- src/gui/game-preferences-dialog.cpp	(revision 1797)
+++ src/gui/game-preferences-dialog.cpp	(working copy)
@@ -152,7 +152,7 @@
     for (std::list<Uint32>::iterator it = sizes.begin(); it != sizes.end();
 	 it++)
       {
-	Glib::ustring s = String::ucompose(_("%1x%1"), *it);
+	Glib::ustring s = String::ucompose("%1x%1", *it);
 	tile_size_combobox->append_text(s);
 	if ((*it) == Tileset::getDefaultTileSize())
 	  default_id = counter;
Index: src/gui/game-window.cpp
===================================================================
--- src/gui/game-window.cpp	(revision 1797)
+++ src/gui/game-window.cpp	(working copy)
@@ -1624,13 +1624,9 @@
       player->getType() == Player::HUMAN)
     {
       s += "\n";
-      s += _("No further human resistance is possible");
+      s += _("No further human resistance is possible\nbut the battle will continue!");
       s += "\n";
-      s += _("but the battle will continue!");
-      s += "\n";
-      s += _("Press `CTRL-P' to stop the war");
-      s += "\n";
-      s += _("and visit the sites of thy old battles.");
+      s += _("Press `CTRL-P' to stop the war\nand visit the sites of thy old battles.");
     }
 
   TimedMessageDialog dialog(*window.get(), s, 30);
Index: src/gui/history-report-dialog.cpp
===================================================================
--- src/gui/history-report-dialog.cpp	(revision 1797)
+++ src/gui/history-report-dialog.cpp	(working copy)
@@ -420,11 +420,13 @@
 	  break;
 	}
     }
-  s = String::ucompose(_("On turn %1 you %2 "), turn, 
-		       turn == past_citylists.size() ? "have" : "had");
-  s += String::ucompose(ngettext("%1 gold piece!",
-				 "%1 gold pieces!",
-				 count), count);
+  turn == past_citylists.size() ?
+    s = String::ucompose(ngettext("On turn %1 you have %2 gold piece!",
+				  "On turn %1 you have %2 gold pieces!",
+				  count), turn, count) :
+    s = String::ucompose(ngettext("On turn %1 you had %2 gold piece!",
+				  "On turn %1 you had %2 gold pieces!",
+				  count), turn, count);
   gold_label->set_text(s);
 
   //update the city chart
@@ -439,11 +441,13 @@
 	  break;
 	}
     }
-  s = String::ucompose(_("On turn %1 you %2 "), turn,
-		       turn == past_citylists.size() ? "have" : "had");
-  s += String::ucompose(ngettext("%1 city!",
-				 "%1 cities!",
-				 count), count);
+  turn == past_citylists.size() ?
+    s = String::ucompose(ngettext("On turn %1 you have %2 city!",
+				  "On turn %1 you have %2 gold cities!",
+				  count), turn, count) :
+    s = String::ucompose(ngettext("On turn %1 you had %2 city!",
+				  "On turn %1 you had %2 cities!",
+				  count), turn, count);
   city_label->set_text(s);
 
   //on turn # you were coming #
@@ -463,9 +467,11 @@
 	    }
 	}
     }
-  s = String::ucompose(_("On turn %1 you %2 coming %3"), turn,
-		       turn == past_citylists.size() ? "are" : "were",
-		       ReportDialog::calculateRank(scores, *scores.begin()));
+  turn == past_citylists.size() ?
+    s = String::ucompose(_("On turn %1 you are coming %2!"),
+			 turn, ReportDialog::calculateRank(scores, *scores.begin())):
+    s = String::ucompose(_("On turn %1 you were coming %2!"),
+			 turn, ReportDialog::calculateRank(scores, *scores.begin()));
   winner_label->set_text(s);
 }
 
Index: src/editor/new-map-dialog.cpp
===================================================================
--- src/editor/new-map-dialog.cpp	(revision 1797)
+++ src/editor/new-map-dialog.cpp	(working copy)
@@ -77,7 +77,7 @@
     for (std::list<Uint32>::iterator it = sizes.begin(); it != sizes.end();
 	 it++)
       {
-	Glib::ustring s = String::ucompose(_("%1x%1"), *it);
+	Glib::ustring s = String::ucompose("%1x%1", *it);
 	tile_size_combobox->append_text(s);
 	if ((*it) == Tileset::getDefaultTileSize())
 	  default_id = counter;
Index: dat/glade/game-window.glade
===================================================================
--- dat/glade/game-window.glade	(revision 1797)
+++ dat/glade/game-window.glade	(working copy)
@@ -979,7 +979,7 @@
 		  <child>
 		    <widget class="GtkLabel" id="label1">
 		      <property name="visible">True</property>
-		      <property name="label" translatable="yes">label1</property>
+		      <property name="label">label1</property>
 		      <property name="use_underline">False</property>
 		      <property name="use_markup">False</property>
 		      <property name="justify">GTK_JUSTIFY_LEFT</property>
@@ -1239,7 +1239,7 @@
 		  <child>
 		    <widget class="GtkLabel" id="label2">
 		      <property name="visible">True</property>
-		      <property name="label" translatable="yes">label2</property>
+		      <property name="label">label2</property>
 		      <property name="use_underline">False</property>
 		      <property name="use_markup">False</property>
 		      <property name="justify">GTK_JUSTIFY_LEFT</property>
@@ -1315,7 +1315,7 @@
 		  <child>
 		    <widget class="GtkLabel" id="label3">
 		      <property name="visible">True</property>
-		      <property name="label" translatable="yes">label3</property>
+		      <property name="label">label3</property>
 		      <property name="use_underline">False</property>
 		      <property name="use_markup">False</property>
 		      <property name="justify">GTK_JUSTIFY_LEFT</property>
Index: dat/glade/treachery-dialog.glade
===================================================================
--- dat/glade/treachery-dialog.glade	(revision 1797)
+++ dat/glade/treachery-dialog.glade	(working copy)
@@ -80,7 +80,7 @@
 	      <child>
 		<widget class="GtkLabel" id="label">
 		  <property name="visible">True</property>
-		  <property name="label" translatable="yes">label1</property>
+		  <property name="label">label1</property>
 		  <property name="use_underline">False</property>
 		  <property name="use_markup">False</property>
 		  <property name="justify">GTK_JUSTIFY_CENTER</property>
